org.h2.build.doclet

## Class ResourceDoclet

- java.lang.Object
- - org.h2.build.doclet.ResourceDoclet

    public class ResourceDoclet
    extends java.lang.Object

This custom doclet generates resources from javadoc comments. Only comments that contain 'at resource' are included. Only class level and method level comments are supported.

### Constructor Summary

Constructors
Constructor and Description
`ResourceDoclet()`

### Method Summary

Methods
`static boolean` `start(com.sun.javadoc.RootDoc root)` This method is called by the javadoc framework and is required for all doclets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceDoclet

    public ResourceDoclet()

### Method Detail

#### start

    public static boolean start(com.sun.javadoc.RootDoc root)
                         throws java.io.IOException

This method is called by the javadoc framework and is required for all doclets.

Parameters:
  `root` - the root
Returns:
  true if successful
Throws:
  `java.io.IOException`